Bug 101852 - Kernel BUG at panic: 288/Machine Check
Summary: Kernel BUG at panic: 288/Machine Check
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: kernel   
(Show other bugs)
Version: beta1
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-07 17:19 UTC by Santiago Flores
Modified: 2015-01-04 22:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-24 01:04:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is boot1 with APIC 2.0 and AML enabled (9.39 KB, text/plain)
2003-08-07 17:20 UTC, Santiago Flores
no flags Details
This is boot 2 with APIC version before 2.0 enabled no AML (9.39 KB, text/plain)
2003-08-07 17:21 UTC, Santiago Flores
no flags Details
this is boot3 with APIC disabled (9.23 KB, text/plain)
2003-08-07 17:21 UTC, Santiago Flores
no flags Details
this is the error from the NFS install (boot5) (14.09 KB, text/plain)
2003-08-08 17:21 UTC, Santiago Flores
no flags Details
the last half of boot messages (from kernel load) plus call traces NFS INSTALL (17.26 KB, text/plain)
2003-08-08 17:39 UTC, Santiago Flores
no flags Details

Description Santiago Flores 2003-08-07 17:19:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.4) Gecko/20030612

Description of problem:
The issue appears to happen with the MPT scsi drivers. Mostly it occureed during
or after loading that driver. Console output is included below. There are three
different outputs: 1) APIC 2.0 enabled, 2) APIC prior tp 2.0 enabled, 3) No APIC.

Hardware - TYAN S2880 w/ Dual Opteron 244 6Gb Reg. ECC, LSI onboard SCSI 1030xx
chip (RH9 works fine, just not 64bit)

Version-Release number of selected component (if applicable):
GinGin64

How reproducible:
Always

Steps to Reproduce:
1.Boot with the Gingin64 CDROM 1
2.
3.
    

Actual Results:  See attachments - basically a kernel oops of some sort (out of
line bug+20). Machine does not lock though and can be warm booted.

Expected Results:  text installer of RH gingin64

Additional info:

See attachements. If they don't work I will post them as text with lables.

Comment 1 Santiago Flores 2003-08-07 17:20:44 UTC
Created attachment 93488 [details]
This is boot1 with APIC 2.0 and AML enabled

Comment 2 Santiago Flores 2003-08-07 17:21:25 UTC
Created attachment 93489 [details]
This is boot 2 with APIC version before 2.0 enabled no AML

Comment 3 Santiago Flores 2003-08-07 17:22:00 UTC
Created attachment 93490 [details]
this is boot3 with APIC disabled

Comment 4 Rik van Riel 2003-08-07 20:30:20 UTC
I'm curious, does this also happen with the Taroon x86_64 install ?

Comment 5 Santiago Flores 2003-08-07 20:36:42 UTC
There is a different error that occurs booting tarroon x86_64 IF APIC is
enabled. If APIC is diabled then it loads (and installs) fine. Although after
tarroon is installed, it will not bootwith the SMP kernel. (See bugzilla 101473)

Comment 6 Santiago Flores 2003-08-08 17:20:31 UTC
New information.
I attempted to boot using:
linux askmethod console=ttyS0,115200 console=tty0

Which worked. However, when I attempted to install using CDROM method I got same
Machine Checks.
When attempting to install from FTP method, it has difficulty (maybe my FTP
server (Pure-FTP)) getting the 'hdlist'. It can't get back to the path 
When using NFS instal, it issues new machine checks. These are attched as boot5.

Any ideas?


Comment 7 Santiago Flores 2003-08-08 17:21:27 UTC
Created attachment 93528 [details]
this is the error from the NFS install (boot5)

Comment 8 Santiago Flores 2003-08-08 17:24:11 UTC
I missed the machine checks in that last serial capture. I will work on getting
them again and then post that file. Sorry.

Comment 9 Santiago Flores 2003-08-08 17:39:53 UTC
Created attachment 93529 [details]
the last half of boot messages (from kernel load) plus call traces NFS INSTALL

Comment 10 Dave Jones 2003-10-24 01:04:36 UTC
Fixed in Red Hat Enterprise Linux 3


Note You need to log in before you can comment on or make changes to this bug.